/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.testbug.dto.team;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * Restful接口--资源详情--数据传输对象：项目人员表
 * <p>
 * createdate:  2021-09-06 11:05:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "项目人员表")
public class MtProjectTeamDetailDto implements Serializable {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("姓名")
    private String userChnName;

    @ApiModelProperty("登录名")
    private String loginNo;

    @ApiModelProperty("角色名称，如果用户有多个角色，使用/拼接")
    private String roleName;

    @ApiModelProperty("所属机构")
    private String orgName;

    @ApiModelProperty("手机号码")
    private String cellPhone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("角色id，如果用户有多个角色，使用/拼接")
    private String roleId;

    @ApiModelProperty("所属分组")
    private List<ProjectGroupNameDto> groupList;

    @ApiModelProperty("用户角色")
    private List<ProjectUserRoleNameIdDto> roleList;

    public String getId() {
        return id;
    }

    public String getUserChnName() {
        return userChnName;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public String getRoleName() {
        return roleName;
    }

    public String getOrgName() {
        return orgName;
    }

    public String getCellPhone() {
        return cellPhone;
    }

    public String getEmail() {
        return email;
    }

    public String getUserId() {
        return userId;
    }

    public String getRoleId() {
        return roleId;
    }

    public List<ProjectGroupNameDto> getGroupList() {
        return groupList;
    }

    public List<ProjectUserRoleNameIdDto> getRoleList() {
        return roleList;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public void setCellPhone(String cellPhone) {
        this.cellPhone = cellPhone;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public void setGroupList(List<ProjectGroupNameDto> groupList) {
        this.groupList = groupList;
    }

    public void setRoleList(List<ProjectUserRoleNameIdDto> roleList) {
        this.roleList = roleList;
    }
}